var $ = jQuery;

$(document).ready(function() {
	changeContactForm7ClassesToSupportSkit();
	addNavColours();
	separateTopLevelPages();
	unwrapIconsFromP();
	addContentBlockToCCChild();
	footerAccordion();
	fitContentBlocksToSkit();
	removeContentTextWidthFromCertainPages();
	addH4SubtitleInEntry();
});

function addH4SubtitleInEntry(){
	var $title = $('.entry-content .entry-title');
	$sibling = $title.next();
	if($sibling.is('h4')){
		$title.append($sibling);
	}
}

function removeContentTextWidthFromCertainPages(){
	$('.no-padding-parent').parent()
		.addClass('no-padding')
		.removeClass('content-text-width');
}

function fitContentBlocksToSkit(){
	var contentBlocks = $('.sk-tiles > a');
	contentBlocks.each((index, contentBlock) => {
		var $contentBlock = $(contentBlock);
		$contentBlock.addClass('sk-tile');

		if (!$contentBlock.find('.sk-tile-top').length){
			var $top = $('<div>').addClass('sk-tile-top');
			$top.append('<div class="sk-tile-top-image"></div>');
			$contentBlock.find('.sk-tile-top-text').appendTo($top);

			var $imageDiv = $top.find('.sk-tile-top-image');
			var $image = $contentBlock.find('img');
			$imageDiv.css('background-image', 'url(' + $image.attr('src') + ')');
			$image.remove();

			//add support for legacy content_blocks
			$contentBlock.find('.content-block-text')
				.removeClass('content-block-text')
				.addClass('sk-tile-top-text')
				.appendTo($top);
			$contentBlock.find('h4').addClass('sk-tile-title');
			$contentBlock.find('h3').addClass('sk-tile-title');

			$contentBlock.prepend($top);
		}
	});
}

function footerAccordion() {
	var $accordion = $('.menu-item-has-children');
	$accordion.addClass('sk-accordion-super');

	var $title = $accordion.find('> a');
	$title.wrapInner('<h4 />');
	$title.wrap('<div class="sk-accordion-title" />');
	$('<i></i>').appendTo($title.parent());

	var $content = $accordion.find('.sub-menu');
	$content.wrap('<div class="sk-accordion-content" />');
};

function addContentBlockToCCChild() {
	$('.ccchildpages').removeClass('ccchildpages');
	var $ccchilds = $('.ccchildpage');
	$ccchilds.find('.ccpage_linked_thumb').addClass('sk-tile');

	$ccchilds.each(function(index, child) {
		var $child = $(child);
		$link = $child.find('a');
		$heading = $child.find('h3');
		$heading.appendTo($link);

		$link.find('h3');
		$child.find('.ccpage_linked_thumb').unwrap();
	});
}

function unwrapIconsFromP() {
	$("p:has(i) i").unwrap();
}

function changeContactForm7ClassesToSupportSkit() {
	$('.wpcf7-response-output')
		.addClass('sk-tooltip');
	$(".wpcf7").on('wpcf7:invalid', function(event) {
		$('.wpcf7-validation-errors')
			.addClass('error')
			.removeClass('wpcf7-validation-errors');

		$('.wpcf7-not-valid-tip')
			.addClass('error');

		$('.wpcf7-not-valid')
			.addClass('error')
			.removeClass('wpcf7-not-valid');
	});

	$(".wpcf7").on('wpcf7:submit', function(event) {
		$('.wpcf7-mail-sent-ok')
			.addClass('success')
			.removeClass('wpcf7-mail-sent-ok');
	});

	$('.wpcf7-submit').addClass('nav-colour-button');
}

function addNavColours() {
	$('.type-event').parents('body')
		.addClass('top-parent-38');
	addColour(38, 'nav-colour-3');

	addColour(36, 'nav-colour-5');
	addColour(40, 'nav-colour-4');
	addColour(18, 'nav-colour-2');
}

function separateTopLevelPages() {
	addTopLevelClass(16);
	addTopLevelClass(38);
	addTopLevelClass(36);
	addTopLevelClass(40);
	addTopLevelClass(18);

	$('#post-18 .featured-image-header').addClass('sk-angled-featured-image');
}

function addTopLevelClass(postId) {
	$('#post-' + postId).addClass('top-level');
}

function addColour(pageId, cssClassToAdd) {
	$('.top-parent-' + pageId).addClass(cssClassToAdd);
}
